Welcome to FastModel

FastModel User Guide

Welcome to FastModel !

FastModel is a powerful text-based 3D editor that allows you to see in real time the volumes you describe in your FasterCap/FastCap2/FastHenry2 input file. Features include color keywords highlighting, unlimited number of 3D views of the model, direct interface to the Solvers, and many others!

Features include:

  • FasterCap and FastCap2 input file support, including Patran interface
  • FastHenry2 input file support
  • Color semantic highlighting (highlighting is not performed on token basis but is context-sensitive)
  • Unlimited number of 3D views of the model
  • Unlimited number of 2D views of the model (orthogonal included)
  • FasterCap, FastCap2 and FastHenry2 integration (you can launch FasterCap, FastCap2 or FastHenry2 on your input file with a simple click)
  • Model View print and print to file in Encapsulated PostScript format (to easily include the model views in you documents)!
  • ..and many others!

Visit FastFieldSolvers for new releases!


Installation

Double click on the installation file and follow the instructions.

After install, you should have:

  • Under a root directory (usually FastFieldSolvers under 'Program Files' folder in the English version of Windows, but you could have chosen a different path during installation), a structure containing the four directories FastModel, FasterCap, FastCap2 and FastHenry2. These directories contain the executable files, the help files and the licenses. Due to Windows user's policies, standard users cannot modify the content of these folders.
  • Under the 'Shared Documents' folder (in the English version of Windows XP, this usually is 'C:\Documents and Settings\All Users\Shared Documents', or in Windows Vista and Windows 7, this usually is the folder 'Public'), visible and fully accessible to all users, a root directory called "FastFieldSolvers" containing three folders FasterCap, FastCap2, FastHenry2. In these folders you'll find the samples related to the three programs. Please take some time to browse around and get accustomed with the contents.

Moreover, the install program will add the FastCap2 and FastHenry2 utilities path in your Windows path variable. So you will be able to launch any of these utilities (described in the manuals) from a DOS shell open on any directory.


Manuals

You can access the original User's Manuals for FastCap and FastHenry directly from FastCap2 and FastHenry2 on-line help.

Please note that these are the original manuals for the Unix version, so they do not completely apply to the Windows version, even if only in minor aspects.
In particular, the FastCap manual contains references to many scripts to be run under Unix. These scripts have been converted for the DOS shell under Windows. You'll find them bundled together with the sample files.


Release Notes

In the current version, FastModel handles FasterCap, FastCap2 and FastHenry2 input files; however, the FastHenry2 import routine treats nonuniform ground planes as single blocks only.

FastModel is built to be fully integrated with FasterCap, FastCap2 and FastHenry2. It is possible to launch FasterCap, FastCap2 or FastHenry2 on the file opened in FastModel by simply clicking a button.

FastModel projects are not supported in this release, that is, you won't be able to save your environment.

We kindly ask you to report us any bug ; please be as specific as possible in the bug description and provide, if you can, the input file responsible for the error. This will greatly help us.

Of course, also any other comment, request or suggestion is welcome!

Welcome to FastModel


FastModel Tutorial

Getting started with FastModel

This tutorial will show you step-by-step how to perform the basic visualization tasks with FastModel.

In this tutorial, you will learn how to:

  • Run FastModel and navigate its panels
  • Load FastHenry2 input files
  • Load FastCap2 input files
  • Zoom, rotate and pan the model
  • Change the visualization mode
  • Perform changes in the input file and update the view
  • Change the color preferences
  • Print and export the current view
  • Work with multiple FastModel views


FastModel Tutorial

Run FastModel and navigate its panels

Launch FastModel

  1. If FastModel is not already running, double click the FastModel icon on your desktop or select 'FastModel' from your Start menu in Windows.
  2. Click on the I agree button to accept FastModel's license.

FastModel View

The FastModel View is the main window where the model is shown and can be manipulated. It usually has a gradient background (but you can apply your preferences). The View should be empty since we have not loaded any model yet.
  1. Move the around view and resize it according to your preferences

FastCap2 View

The FastCap2 View shows the textual input file for FastCap2. If you cannot see the view, perform the following steps:
  1. On the View menu, select View->FastCap2 View.
    2. You can try writing in this window. Probably, you'll notice that what you type is marked in red. This is because FastModel is syntax-checking the text and marks unknown statements as errors.
  2. Move around the view and resize it according to your preferences.

FastHenry2 View

The FastHenry2 View shows the textual input file for FastHenry2. If you cannot see the view, perform the following steps:
  1. On the View menu, select View->FastHenry2 View.
You can try writing in this window. Probably you'll notice that what you type is marked in red. This is because FastModel is syntax-checking the text and marks unknown statements as errors.

Browser Window

The Browser Window shows the hierarchy of the input files loaded into FastModel. If you cannot see the window, perform the following steps:
  1. On the View menu, select View->Browser Window.
This window can be left floating, docked to the sides of the frame window, moved and resized. If you double click on the FastHenry2 or FastCap2 icons, the FastHenry2 and FastCap2 views will pop up.

The Browser Window will show all the input files that you have loaded into FastModel (at the moment none).

Output Window

The Output Window shows any message FastModel will issue during file import or update. These messages are usually warning or error messages related to the input files.

You can test the Output window in the following way:

  1. Bring to front the FastCap2 View, either selecting View->FastCap2 View or by double clicking on the FastCap2 icon in the Browser Window
  2. Write something in the FastCap2 View
  3. Right click the mouse with the cursor on the FastCap2 View area and select 'Update Model' on the pop-up menu
  4. Examine the Output Window: it should contain some error messages


FastModel Tutorial

Load FastHenry2 input files

To load a FastHenry2 input file:
  1. Select the FastHenry2 View (the view should be in foreground with the caption highlighted).
  2. From the File menu select File->Open FastHenry2 File or click on the [image] icon on the toolbar.
  3. Browse to the 'Shared Documents' folder (in the English version of Windows XP, this usually is 'C:\Documents and Settings\All Users\Shared Documents', or in Windows Vista and Windows 7, this usually is the folder 'Public') and under FastFieldSolvers\FastHenry2 select the file 30pin.inp, then click Open.

The cursor will change to a glasshour until the file is imported into FastModel. As soon as the import finishes, you should be able to see the 3D model of the 30-pin connector in the FastModel View.

You will also notice that the FastHenry2 View now contains the input file and that the file has been colored according to the input semantic. You can type in the view and see the colors change according to what you write.

  1. Select the FastHenry2 View and from the File menu choose File->Close FastHenry2 File to close the file.


FastModel Tutorial

Load FastCap2 input files

To load a FastCap2 input file:
  1. Select the FastCap2 View (the view should be in foreground with the caption highlighted).
  2. From the File menu select File->Open FastCap2 File or click on the [image] icon on the toolbar.
  3. Browse to the 'Shared Documents' folder (in the English version of Windows XP, this usually is 'C:\Documents and Settings\All Users\Shared Documents', or in Windows Vista and Windows 7, this usually is the folder 'Public') and under FastFieldSolvers\FastCap2 select the file coated_sph.lst, then click Open.

The cursor will change to a glasshour until the file is imported into FastModel. As soon as the import finishes, you should be able to see the 3D model of the coated sphere in the FastModel View.

You will also notice that the FastCap2 View now contains the input file and that the file has been colored according to the input semantic. You can type in the view and see the colors change according to what you write.

Moreover, in the Browser Window you should see near the FastCap2 icon a '+' mark, showing that more than one file has been loaded.

  1. Click on the '+' mark near the FastCap2 icon in the Browser Window to expand the list.
  2. Double click on the name 'sphere2.qui'. You will see another window appear in foreground.

This is because FastCap2 files, unlike FastHenry2 ones, can have a 2-level hyerarchy. A main file can refer to any number of subfiles. This eases the task to manage big models and provide a simple way to specify dielectric interfaces, as you will see in the FastCap2 tutorials.

  1. Select the FastCap2 View and from the File menu choose File->Close FastCap2 File to close the file.


FastModel Tutorial

Zoom, rotate and pan the model

  1. Load the FastHenry2 30pin.inp sample file as described in Load FastHenry2 input files.
  2. Bring the FastModel View in foreground. The cursor should be a crosshair.
  3. Press and hold down the Ctrl key. The cursor changes to the zoom icon. Holding down the Ctrl key, left-click the mouse while moving the mouse up or down. You should see the model zooming in or out.
  4. Press and hold down the Shift key. The cursor changes to the rotate icon. Holding down the Shift key, left-click the mouse while moving the mouse up/down or left/right. You should see the model rotate on two axes around the origin.
  5. Press and hold down the Shift key and the Ctrl key together. The cursor changes to the rotate near icon. Holding down the Shift key and the Ctrl key, left-click the mouse while moving the mouse up/down or left/right. You should see the model rotate, but this time the rotation is subjective, that is, the model rotates around your point of view, as if you were moving your head to have a look around.
  6. Left-click the mouse without pressing any key and move the mouse up/down or left/right. You should see the model pan.
  7. Right-click the mouse to bring up a pop-up menu and choose Zoom All to restore the initial view.


FastModel Tutorial

Change the visualization mode

  1. Load the FastHenry2 30pin.inp sample file as described in Load FastHenry2 input files
  2. Bring the FastModel View in foreground

Select between wireframe, hidden lines or solid view

  1. Right-click with the mouse on the FastModel View and on the pop-up menu choose Display->Hidden Lines or select the [image] icon on the toolbar. The model will be redrawn hiding the lines which fall under the model surfaces.
  2. Right-click with the mouse on the FastModel View and on the pop-up menu choose Display->Solid or select the [image] icon on the toolbar. The model will be redrawn as a shadowed solid.
  3. Right-click with the mouse on the FastModel View and on the pop-up menu choose Display->Wireframe or select the [image] icon on the toolbar. The model will be shown as wireframe lines.

Select between 2D or 3D view

  1. Right-click with the mouse on the FastModel View and on the pop-up menu choose View->2D (Orthographic). The model will be redrawn in an orthographic view.
  2. Right-click with the mouse on the FastModel View and on the pop-up menu choose Autoset->XY Plane. The model X, Y axes will be adjusted perpendicular to the view (you may need to pan the model in the view).
  3. Right-click with the mouse on the FastModel View and on the pop-up menu choose Autoset->YZ Plane. The model Y, Z axes will be adjusted perpendicular to the view (you may need to pan the model in the view).
  4. Right-click with the mouse on the FastModel View and on the pop-up menu choose Autoset->ZX Plane. The model Z, X axes will be adjusted perpendicular to the view (you may need to pan the model in the view).
  5. Right-click with the mouse on the FastModel View and on the pop-up menu choose View->3D (Perspective). The model will be redrawn in perspective.


FastModel Tutorial

Perform changes in the input file and update the view

  1. Load the FastHenry2 vias.inp sample file as described in Load FastHenry2 input files.
  2. Bring the FastModel View in foreground, move and rotate it according to your preferences to have a full view of the meshed plane and the vias.

Change the input file

  1. In the FastHenry View, comment out with a '*' the lines belonging to the meshed plane, as shown in the following figure.

  2. Right-click with the mouse on the FastHenry2 View and on the pop-up menu choose Update Model. The model will be redrawn without the meshed plane, thus reflecting the changes you applied to the input file.
  3. In the FastHenry2 View, uncomment the lines you previously commented out, by removing the '*'.
  4. Right-click with the mouse on the FastHenry2 View and on the pop-up menu choose Update Model. The meshed plane will reappared in the FastModel view.


FastModel Tutorial

Change the color preferences

  1. Load the FastHenry2 pin-connect.inp sample file as described in Load FastHenry2 input files.
  2. Bring the FastModel View in foreground, move and rotate it according to your preferences to have a full view of model.

Change the colors

  1. Select the FastModel View and on the main menu choose View->Properties, or right-click with the mouse on the FastModel View and on the pop-up menu choose Properties. The preferences window will appear.

  2. Click on any colored button to select a new color for any of the described items.
  3. Press Ok to close the window and apply the changes.


FastModel Tutorial

Print and export the current view

  1. Load the FastHenry2 pin-connect.inp sample file as described in Load FastHenry2 input files.
  2. Bring the FastModel View in foreground, move and rotate it according to your preferences to have a full view of model.

Print

  1. Select the FastModel View and on the main menu choose File->Print Preview. The preview window will appear.
  2. Press the upper left button Print to actually send the drawing to the printer.

Export in Encapsulated PostScript format

  1. Select the FastModel View and on the main menu choose File->Print to EPS. A file save window will appear.
  2. Select a directory and a file name and save your file.
  3. You can now open your file with a PostScript viewer (like the freeware GhostView) or directly import it into your document. For instance, in MS Word, select Insert->Picture->From File on the main menu to import the picture into a sheet.


FastModel Tutorial

Work with multiple FastModel views

  1. Load the FastHenry2 pin-connect.inp sample file as described in Load FastHenry2 input files.
  2. Bring the FastModel View in foreground, move and rotate it according to your preferences to have a full view of the model.

Create the main view

  1. In the FastModel View, select a 3D solid view.
  2. Change the FastModel View colors.
  3. Resize the FastModel View to occupy the upper left quarter of your canvas.

Create the auxiliary views

  1. On the main menu choose Window->New Window. A new FastModel View window will appear.
  2. Resize the FastModel View to occupy the upper right quarter of your canvas
  3. Select a 2D wireframe view for this FastModel View and autoset it to the YZ plane
  4. On the main menu choose Window->New Window. A new FastModel View window will appear.
  5. Resize the FastModel View to occupy the lower right quarter of your canvas
  6. Select a 2D wireframe view for this FastModel View and autoset it to the XY plane
  7. On the main menu choose Window->New Window. A new FastModel View window will appear.
  8. Resize the FastModel View to occupy the lower left quarter of your canvas
  9. Select a 2D wireframe view for this FastModel View and autoset it to the ZX plane

Verify the persistence of your settings

  1. Close FastModel
  2. Lauch FastModel again

You'll notice that the windows and views positions and colors have been preserved.


Importing FastHenry2 Files

To import a FastHenry2 file, activate the FastHenry2 View by clicking on it, then select File->Open FastHenry2 File from the main menu (do not select Open Project) and browse to your file.

When you have performed your selection, the file will be imported. This could take some time if the input file is large, please be patient. At the end you should see your file in the FastHenry2 View, with keywords highlighted in color, and a view of your model in the FastModel View.

Any error occurred while importing will be reported in the Output Window.


Editing FastHenry2 Files

You can modify your FastHenry2 input files in the FastHenry2 View.

As you type, you will notice that the text will be automatically colored according to the semantic meaning of the command; that is, color highlighting is not performed on a simple token basis, but is fully context-sensitive.

In this way, you will see highlighted in red the instructions that would generate an error when parsed with FastHenry2; therefore you will be able to correct them in advance.

To update the FastModel View according to the changes you make to the input file, right-click the mouse while the cursor is on the FastHenry2 View and select Update Model from the pop-up menu.

To save, select File->Save FastHenry2 File or File->Save FastHenry2 File As from the main menu.


Launch FastHenry2

To launch FastHenry2 on your input file, simply click the FastHenry2 icon [image] on the toolbar (a white button with a red inductance symbol on it).

Note: you cannot launch FastHenry2 on an unsaved file. If your file contains recent unsaved modifications, it will be automatically saved. However, if the file is unnamed (you began from a new empty window) you will be prompted to save it with a name.


Close FastHenry2 Files

You can close your FastHenry2 input file by activating the FastHenry2 View and selecting File->Close FastHenry2 File from the main menu.


Importing FasterCap / FastCap2 Files

To import a FasterCap / FastCap2 file, activate the FastCap2 window by clicking on it, then select File->Open FastCap2 File from the main menu (do not select the Open Project) and browse to your file. You will notice that you can import either .lst, .neu or .qui / .txt files; the distinction is the same as in FastCap2 (for details, see FastCap2 manual):

  • The .lst files are list files, that is, they contain references to other files to be hierarchically included
  • The .qui / .txt files are generic-format input files (files containing 'Q' or 'T' definitions
  • The .neu files are Patran input files. Remark: Patran input files are not supported by FasterCap.

Note, however, that though FastModel does not distinguish between .lst and .qui files, FastCap2 does, so it is recommended to work with the default extensions.
On the other hand, the only files recognized as Patran format input files are those whose extension is .neu.
In case of FasterCap, all files can be hierarchical, so there is no distinction between a .lst, .qui or .txt file.

When you have performed your selection, the file(s) will be imported. This could take some time if the input file is large, please be patient. At the end you should see your file in the FastCap2 View, with keywords highlighted in color, and a view of your model in the FastModel View.

Any error occurred while importing will be reported in the Output Window.

If you import a list file, FastModel will open as many windows as the number of different files referenced in the list file. These windows are minimized by default; you can activate them by clicking on the captions (you may need to move the windows in foreground to see them) or selecting them in the Project Browser.

The Project Browser will keep trace of all open FastCap2 files. Note that there will always be a main FastCap2 View, usually corresponding to the list (.lst) file, and any number of secondary FastCap2 windows, usually corresponding to files included by the list file. As you could also generate included files from scratch, you can open new, blank FastCap2 secondary windows by selecting 'New FastCap2 File' from the 'File' menu.
See Project Browser Window for more information on the Project Browser.

Remark: Patran input files can be imported but they cannot be edited inside FastModel.


Editing FasterCap / FastCap2 Files

You can modify your FastCap2 input files in the FastCap2 View and windows.

As you type, you will notice that the text will be automatically colored according to the semantic meaning of the command; that is, color highlighting is not performed on a simple token basis, but is fully context-sensitive.

In this way, you will see highlighted in red the instructions that would generate an error when parsed with FastCap2; therefore, you will be able to correct them in advance.

To update the FastModel View according to the changes you make to the input file(s), right-click the mouse while the cursor is on any FastCap2 window and select Update Model from the pop-up menu.

To save, select File->Save FastCap2 File or File->Save FastCap2 File As from the main menu.


Color in FasterCap / FastCap2 Files

FastModel supports coloring and transparency of panels according to an extension of the FasterCap / FastCap2 file format. Two modes are supported:

  • Charge density coloring
  • Geometry user-defined coloring

Charge density coloring

If the input file contains charge density information, this information will be used to provide a color map for the FastModel view of the geometry.
Remark: you can see the model coloring only in 'solid' view. Wireframe and hidden lines view modes are not colored.

The charge density information can be added as a floating point value at the end of FasterCap / FastCap2 'Q' or 'T' statements, see the following picture for an example:

FastModel automatically associates a color map to the charge density values, from the minimum to the maximum value.

FasterCap has an option to output the charge density information in a FasterCap / FastCap2 file format, so you can readily visualize the information inside a FastModel view. See FasterCap on-line help for further information about this option.

Geometry user-defined coloring

If the input file contains color information, this information will be used to color the panels shown in the FastModel view of the geometry.
Remark: you can see the model coloring only in 'solid' view. Wireframe and hidden lines view modes are not colored.

The color information can be added as a hexadecimal, 4 bytes value at the end of FasterCap / FastCap2 'C', 'D', 'Q' or 'T' statements.

The value must be prefixed with the '0x' string, followed by the four bytes. The four bytes represent red, green, blue and transparency information respectively.
For instance, the following statement defines a triangular panel in red color, fully opaque:

T mytri 0 0 0 0 1 0 1 0 0 0xff0000ff

In general:

  • 'Q' and 'T' statements: color information at the end of a panel definition will change the color of that specific panel
  • 'C' and 'D' statements: color information at the end of a conductor or dielectric definition will change the color of the whole conductor or dielectric. Remark: panel color has more priority than conductor / dielectric color. You can therefore specify a conductor / dielectric color, and still define a different color for one or more panels composing that conductor or dielectric.
  • No color information: the panels will have the default color.

This feature can be useful, for instance, to picture in a different color conductor and dielectric interfaces. The following pictures show an example of geometry files including color information, used to produce the previous picture:


Launch FastCap2

To launch FastCap2 on your input file, simply click the FastCap2 icon [image] on the toolbar (the white button with a blue capacitor symbol on it).

Note: you cannot launch FastCap2 on unsaved files. If your files contain recent unsaved modifications, they will be automatically saved. However, if any of the files is unnamed (you began from a new empty window) you will be prompted to saved it with a name.


Launch FasterCap

To launch FasterCap on your input file, simply click the FasterCap icon [image] on the toolbar (the yellow button with a blue capacitor symbol on it).

Note: you cannot launch FasterCap on unsaved files. If your files contain recent unsaved modifications, they will be automatically saved. However, if any of the files is unnamed (you began from a new empty window) you will be prompted to saved it with a name.


Close FasterCap / FastCap2 Files

You can close all your FastCap2 input files by activating any FastCap2 window and selecting File->Close FastCap2 Files from the main menu.


Viewing Your Model

The FastModel View windows allows you to see and move in real time the 2D or 3D representation of your FasterCap/FastCap2/FastHenry2 input files.

Move around your model

As soon as you have imported an input file or have typed in something and performed an Update Model operation, you will be able to view your model in the FastModel View(s), zoomed to fit into the window. Then you can move around your model; to do so, use the left mouse button together with the shift and control keys:

  • to pan the image, click the mouse left button and move the cursor
  • to zoom in and out, hold down the control key while clicking the mouse left button and moving the cursor up and down
  • to rotate the model around the center of the view, hold down the shift key while clicking the mouse left button and moving the cursor
  • rotate the model around you, hold down the shift and control keys together while clicking the mouse left button and moving the cursor

If you get lost while moving (i.e. you cannot see the model any more), click the right button while on the FastModel View and select Zoom All from the pop-up menu.

FastModel View options

You can also select other options from the pop-up menu:

  • under Display you can select to remove or not the hidden lines or to have a solid view of your object
  • under View you can select to have a 2D or 3D view
  • under Autoset 2D you can automatically rotate the model (only when in 2D mode) to show orthographic views
  • under Properties you can set colors for your current View

Add FastModel Views

You can also add as many FastModel Views as you want. Each View is independent from the others, that is, can have different point of view, 2D/3D settings, display mode and colors.
To add new views, select Window->New window from the main menu.

Print, print preview and exporting images

You can also print and print preview your model exactly as you see it in the FastModel View of your choice; just select 'Print' or 'Print Preview' from File drop down menu.
You can also print directly to an Encapsulated PostScript (EPS) file, useful for direct inclusion in your documents: EPS is a vector picture format, so you can zoom or scale the picture without loss of resolution. You can open the EPS file with a PostScript viewer (like the freeware GhostView) or directly import it into your document.
For instance, in MS Word, select Insert->Picture->From File on the main menu to import the picture into a sheet.


Project Browser Window

The Project Browser window shows all open FasterCap, FastCap2 and FastHenry2 files.

To bring to front any edit window, double-click with the left mouse button on the corresponding window name in the Project Browser.

To delete any FasterCap / FastCap2 input window, select the window name name in the Project Browser and press the Del key (Remark: you can only delete secondary FasterCap / FastCap2 windows, not the main FasterCap / FastCap2 view. To close completly a FasterCap / FastCap2 file, see Close FastCap2 Files).


Output Window

The output window shows the errors that the parser finds in your input files.